let level = '凡人';
let xp = 0;
let gold = 100;
const logMessages = [];

const levelUp = () => {
  if (xp >= 100 && level === '凡人') {
    level = '炼气期';
    xp = 0;
    logMessages.push('恭喜你突破到炼气期！');
  } else if (xp >= 200 && level === '炼气期') {
    level = '筑基期';
    xp = 0;
    logMessages.push('恭喜你突破到筑基期！');
  }
  updateStats();
};

const updateStats = () => {
  document.getElementById('level').textContent = level;
  document.getElementById('xp').textContent = xp;
  document.getElementById('gold').textContent = gold;
  updateLog();
};

const updateLog = () => {
  const logElement = document.getElementById('log-messages');
  logElement.innerHTML = logMessages.map(msg => `<p>${msg}</p>`).join('');
  logElement.scrollTop = logElement.scrollHeight;
};

document.getElementById('cultivate').addEventListener('click', () => {
  xp += 10;
  gold += 5;
  logMessages.push('你进行了一次修炼，获得了10点修为和5块灵石。');
  levelUp();
});

document.getElementById('meditate').addEventListener('click', () => {
  xp += 5;
  gold += 2;
  logMessages.push('你进行了一次冥想，获得了5点修为和2块灵石。');
  levelUp();
});

document.getElementById('explore').addEventListener('click', () => {
  xp += 15;
  gold += 10;
  logMessages.push('你进行了一次探索，获得了15点修为和10块灵石。');
  levelUp();
});

updateStats();